package com.gic.haoban.manage.api.dto.qdto.role;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/4/6 12:46 PM
 * @Description
 * @Version
 **/

public class ContentMaterialROleInitQDTO implements Serializable {

    private static final long serialVersionUID = 726271440180247126L;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 企业微信
     */
    private String wxEnterpriseId;

    /**
     * 1 基础版本
     * 2 高级版本
     * @see Version
     */
    private Integer version;

    public enum Version {
        LOW(1, "基础版本"),
        HIGH(2, "高级版");
        private Integer code;
        private String desc;

        Version(Integer code, String desc) {
            this.code = code;
            this.desc = desc;
        }

        public Integer getCode() {
            return code;
        }

        public void setCode(Integer code) {
            this.code = code;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }
}
